Bug 1300266 - (CVE-2015-7973) CVE-2015-7973 ntp: replay attack on authenticated broadcast mode
CVE-2015-7973 ntp: replay attack on authenticated broadcast mode
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160120,repor...
: Security
Depends On: 1300277
Blocks: 1297474
  Show dependency treegraph
 
Reported: 2016-01-20 06:41 EST by Martin Prpič
Modified: 2016-02-12 09:54 EST (History)
3 users (show)

See Also:
Fixed In Version: ntp 4.2.8p6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 10:23:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-01-20 06:41:17 EST
It was found that when NTP is configured in broadcast mode, a man-in-the-middle attacker or a malicious client could replay packets received from the broadcast server to all (other) clients. This could cause the time on affected clients to become out of sync over a longer period of time.

Upstream patches:

https://github.com/ntp-project/ntp/commit/c801a6a5f84d7f385a42e0073c94b2e0664f8ad2
https://github.com/ntp-project/ntp/commit/50ef2f62dc326bc9edac166b2b4ba5b5d8b4f7d4
Comment 2 Martin Prpič 2016-01-20 07:01:43 EST
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1300277]
Comment 3 Martin Prpič 2016-01-21 10:23:40 EST
The issue described here is an inherent problem with securing packet transfer in broadcast mode. The man-in-the-middle attacker also must have access to the same network in which the packets are being broadcasted.

Mitigation:

Do not use NTP's broadcast mode by not configuring the "broadcast" directive in the ntp.conf file.
Comment 4 Martin Prpič 2016-01-21 10:23:57 EST
Statement:

This issue affects the versions of ntp as shipped with Red Hat Enterprise Linux 5, 6, and 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue in Red Hat Enterprise Linux 6 and 7. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.